Loading...
Searching...
No Matches
ON_TensorProduct Class Referenceabstract

`#include <pcl/surface/3rdparty/opennurbs/opennurbs_nurbssurface.h>`

## Public Member Functions

| ON_TensorProduct ()
virtual | ~ON_TensorProduct ()
virtual int | DimensionA () const =0
virtual int | DimensionB () const =0
virtual int | DimensionC () const =0
virtual bool | Evaluate (double, const double *, double, const double *, double *)=0

## Detailed Description

Definition at line 28 of file opennurbs_nurbssurface.h.

## Constructor & Destructor Documentation

## ON_TensorProduct()

ON_TensorProduct::ON_TensorProduct | ( |  | ) |

## ~ON_TensorProduct()

virtual ON_TensorProduct::~ON_TensorProduct | ( |  | ) |

virtual

## Member Function Documentation

## DimensionA()

virtual int ON_TensorProduct::DimensionA | ( |  | ) | const

pure virtual

## DimensionB()

virtual int ON_TensorProduct::DimensionB | ( |  | ) | const

pure virtual

## DimensionC()

virtual int ON_TensorProduct::DimensionC | ( |  | ) | const

pure virtual

## Evaluate()

virtual bool ON_TensorProduct::Evaluate | ( | double | ,
|  | const double * | ,
|  | double | ,
|  | const double * | ,
|  | double * | )

pure virtual

The documentation for this class was generated from the following file:

- pcl/surface/3rdparty/opennurbs/opennurbs_nurbssurface.h